# Create seller comment

- Sandbox: `POST https://sandbox.payme.io/api/partner/api/sellers/comment`
- Production: `POST https://live.payme.io/api/partner/api/sellers/comment`

## Credentials

- Header `Authorization: Bearer <token>`

Add a comment to a seller's record

## Parameters

This endpoint takes no path, query or header parameters.

## Request body

Content type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `sellerId` | string | yes | Seller ID |
| `commentCategory` | string | no | Comment category |
| `commentText` | string | yes | Comment text |

### Request example

No example is documented; this template is generated from the fields — replace the placeholder values.

```json
{
  "sellerId": "<sellerId>",
  "commentCategory": "<commentCategory>",
  "commentText": "<commentText>"
}
```

## Code samples

### curl

```bash
curl -X POST 'https://sandbox.payme.io/api/partner/api/sellers/comment' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <YOUR_TOKEN>' \
  --data-raw '{
  "sellerId": "<sellerId>",
  "commentText": "<commentText>"
}'
```

### Node.js

```javascript
const response = await fetch("https://sandbox.payme.io/api/partner/api/sellers/comment", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <YOUR_TOKEN>",
  },
  body: JSON.stringify({
    "sellerId": "<sellerId>",
    "commentText": "<commentText>"
  }),
});

console.log(await response.text());
```

### Python

```python
import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/sellers/comment",
    headers={
        "Authorization": "Bearer <YOUR_TOKEN>",
    },
    json={
        "sellerId": "<sellerId>",
        "commentText": "<commentText>",
    },
)

print(response.text)
```

### PHP

```php
<?php

$body = <<<'BODY'
{
  "sellerId": "<sellerId>",
  "commentText": "<commentText>"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/sellers/comment');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'Authorization: Bearer <YOUR_TOKEN>',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
```

## Responses

### 201 — Comment created successfully (success)

### 400 — Bad Request (error)

| Field | Type | Description |
| --- | --- | --- |
| `statusCode` | integer | HTTP status code |
| `message` | string | Error message(s) |
| `error` | string | Error type |

```json
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}
```

### 401 — Unauthorized (error)

| Field | Type | Description |
| --- | --- | --- |
| `error` | string |  |
| `error_description` | string |  |

```json
{
  "error": "unauthorized_client",
  "error_description": "Client authentication failed"
}
```
